<section class="offer-dedicated-body pb-3 pt-3">
    <div class="container" style="margin-top: 16px;">
        <div class="row">
            <div class="col-xl-9 col-sm-12">
                <table class="table cart_table">
                    <thead>
                        <tr>
                            <th>Item</th>
                            <th>Description</th>
                            <th>Quantity</th>
                            <!-- <th>Method</th> -->
                            <th>Price</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let TItem of _DataService.CustomerCart; let index = index;">
                            <td class="align-middle"><img class="cart_image" [src]="TItem.ImageUrl"
                                    [alt]="TItem.ImageUrl" /></td>
                            <td class="cart_desc">
                                <div [innerHtml]="TItem.Description"></div>
                            </td>
                            <td class="align-middle">
                                <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                                    <div class="btn-group mr-2" role="group" aria-label="First group">
                                        <button type="button" class="btn btn-outline-secondary py-2 px-3 shadow-none"
                                            (click)="decQuantityCount(TItem, index)">-</button>
                                        <button type="button"
                                            class="btn btn-outline-secondary py-2 px-4 disabled shadow-none" disabled
                                            style="opacity: 1; padding: 0.5rem 1rem">{{TItem.Quantity}}</button>
                                        <button type="button" class="btn btn-outline-secondary py-2 px-3 shadow-none"
                                            (click)="incQuantityCount(TItem, index)">+</button>
                                    </div>
                                </div>
                            </td>
                            <td style="width: 130px;">
                                <div class="text-medium cart_actualprice">
                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                    {{TItem.SellingPrice
                                    | number: "1.0-1" || "--"}}
                                </div>
                                <div class="text-medium cart_sellingprice">
                                    <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                    {{TItem.ActualPrice
                                    | number: "1.0-1" || "--"}}
                                </div>
                                <div class="cart_discount-per">
                                    ({{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                    % OFF)
                                </div>
                            </td>
                            <!-- <td>PickUp</td> -->
                            <td><button class="btn btn-pri shadow-none p-1" (click)="removeItem(TItem, index)"><i
                                        class="icofont-trash"></i></button></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-xl-3 col-sm-12">
                <div class="card bg-light border-white">
                    <div class="card-body">
                        <h4 class="card-title mb-5 text-black">Cart Order</h4>
                        <div class="total_section border-radius-8 bg-white">
                            <p>Cart total: <span><s
                                        [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></s>{{CartTotal}}</span>
                            </p>
                            <p>Subtotal: <span><s
                                        [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></s>{{SubTotal}}</span>
                            </p>
                            <p>Discount: <span><s
                                        [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></s>{{Discount}}</span>
                            </p>
                            <hr class="m-1" />
                            <p class="p-3 para_total">Total: <span><span
                                        [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>{{CartTotal +
                                    SubTotal+ Discount}}</span>
                            </p>
                        </div>
                        <button class="btn btn-primary btn-block my-5">Proceed to billing</button>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-12">
                <button class="btn btn-outline-primary btn-block my-5">Continue shopping</button>
            </div>
        </div>

        <button class="btn btn-outline-primary btn-block my-5" (click)="shippingAddress(shippingAddressModal)">add
            address</button>


    </div>
</section>

<ng-template #shippingAddressModal let-modal>
    <div class="modal-header tuc-shippin-address-modal-body border-bottom-0">
        <!-- <h4 class="modal-title" id="modal-basic-title">Shipping Address</h4> -->
        <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
    </div>
    <div class="modal-body p-4">
        <h6>Billing Address</h6>
        <form [formGroup]="shippingAddressForm">
            <div class="form-row">
                <div class="col-md-6 col-sm-12">
                    <div class="mb-2">
                        <label for="FirstName" class="form-label mb-1">First Name *</label>
                        <input type="type" class="form-control" formControlName="FirstName" id="FirstName">
                        <div *ngIf="isSubmittedForm && f['FirstName'].errors" class="invalid-feedback">
                            <div *ngIf="f['FirstName'].errors['required']">FirstName is required</div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-sm-12">
                    <div class="mb-2">
                        <label for="LastName" class="form-label mb-1">Last Name *</label>
                        <input type="type" class="form-control" formControlName="LastName" id="LastName">
                    </div>
                </div>
            </div>
            <div class="mb-2">
                <label for="CityLabel" class="form-label mb-1">City *</label>
                <select id="CityLabel" class="form-control custom-select select2-hidden-accessible"
                    formControlName="City" (change)="changeSelectFormControl('City',$event)">
                    <option selected>Open this select menu</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                </select>
            </div>
            <div class="mb-2">
                <label for="State" class="form-label mb-1">State *</label>
                <select id="State" class="form-control custom-select select2-hidden-accessible" formControlName="State"
                    (change)="changeSelectFormControl('State',$event)">
                    <option selected>Open this select menu</option>
                    <option value="1">One</option>
                    <option value="2">Two</option>
                    <option value="3">Three</option>
                </select>
            </div>
            <div class="mb-2">
                <label for="StreetAddress" class="form-label mb-1">Street Address *</label>
                <textarea name="" id="StreetAddress" rows="3" class="form-control"></textarea>
            </div>
            <div class="form-row mb-2">
                <div class="col-md-6 col-sm-12">
                    <label for="PhoneNumber" class="form-label mb-1">Phone Number *</label>
                    <div class="input-group" formGroupName="PhoneNumber">
                        <div class="input-group-prepend" style="width:35%">
                            <select class="form-control custom-select select2-hidden-accessible" formControlName="Code">
                                <option selected value="+234">+234</option>
                                <option value="+233">+233</option>
                            </select>
                        </div>
                        <input type="text" class="form-control" id="PhoneNumber"
                            aria-label="Text input with dropdown button" formControlName="Number">
                    </div>
                </div>
                <div class="col-md-6 col-sm-12">
                    <label for="AdditionalNumber" class="form-label mb-1">Additional Phone Number</label>
                    <div class="input-group" formGroupName="AdditionalNumber">
                        <div class="input-group-prepend" style="width:35%">
                            <select class="form-control custom-select select2-hidden-accessible" formControlName="Code">
                                <option selected value="+234">+234</option>
                                <option value="+233">+233</option>
                            </select>
                        </div>
                        <input type="text" class="form-control" id="AdditionalNumber" formControlName="Number">
                    </div>
                </div>
            </div>
            <div class="mb-2 form-check">
                <input type="checkbox" class="form-check-input" id="saveAddress">
                <label class="form-check-label" for="saveAddress">Save address for later</label>
            </div>
        </form>
    </div>
    <div class="modal-footer px-5 pt-0 pb-4 border-top-0">
        <!-- <button type="button" class="btn btn-outline" (click)="modal.close('Cancel click')">Cancel</button> -->
        <!-- <button type="button" class="btn btn-block btn-primary" (click)="modal.close('Yes click')">Save Address</button> -->
        <button type="button" class="btn btn-block btn-primary" (click)="saveForm()">Save Address</button>
    </div>
</ng-template>